diff --git a/tests/data/relay.out b/tests/data/relay.out
index 9588fd7db7dc65ddb7c9bfa16d6dc0cf3fab2939..c88d78591d9d97b6871b5257e014133d970b7e3e 100644
--- a/tests/data/relay.out
+++ b/tests/data/relay.out
@@ -2566,6 +2566,14 @@ seeAlso: cn=All Staff,ou=Groups,o=Example,c=US
 
 # refldap://localhost:9010/ou=Referrals,o=Beispiel,c=DE??sub
 
+# searching filter="(uid=example)"
+# 	attrs="uid"
+# 	base="o=Example,c=US"...
+dn: o=Example,c=US
+uid: example
+
+# refldap://localhost:9010/ou=Referrals,o=Beispiel,c=DE??sub
+
 # searching filter="(member=cn=Another Added Group,ou=Groups,o=Example,c=US)"
 # 	attrs="member"
 # 	base="o=Example,c=US"...
diff --git a/tests/scripts/relay b/tests/scripts/relay
index befaee6cff95406ebf16d00a3464b2314e963efa..f6cfcef7c122e937fa7ff0806a542d4969e2281a 100755
--- a/tests/scripts/relay
+++ b/tests/scripts/relay
@@ -308,7 +308,22 @@ if test $RC != 0 ; then
 	exit $RC
 fi
 
-BASEDN="o=Example,c=US"
+FILTER="(uid=example)"
+echo "Searching filter=\"$FILTER\""
+echo "	attrs=\"uid\""
+echo "	base=\"$BASEDN\"..."
+echo "# searching filter=\"$FILTER\"" >> $SEARCHOUT
+echo "# 	attrs=\"uid\"" >> $SEARCHOUT
+echo "# 	base=\"$BASEDN\"..." >> $SEARCHOUT
+$LDAPSEARCH -h $LOCALHOST -p $PORT1 -b "$BASEDN" "$FILTER" uid \
+	>> $SEARCHOUT 2>&1
+RC=$?
+if test $RC != 0 ; then
+	echo "Search failed ($RC)!"
+	test $KILLSERVERS != no && kill -HUP $KILLPIDS
+	exit $RC
+fi
+
 FILTER="(member=cn=Another Added Group,ou=Groups,$BASEDN)"
 echo "Searching filter=\"$FILTER\""
 echo "	attrs=\"member\""